---
kind: pipeline
type: kubernetes
name: Build Docker image

trigger:
  branch:
    - main
    - staging
  event:
    exclude:
      - pull_request

steps:
- name: commit hash magic
  image: bitnami/git:2.33.0
  commands: 
  - git show -s --format=%H | tee hash
- name: kaniko
  image: plugins/kaniko
  settings:
    enable_cache: true
    username:
      from_secret: REGISTRY_USER
    password:
      from_secret: REGISTRY_PASSWORD
    registry: https://registry.asraphiel.dev/
    repo: registry.asraphiel.dev/library/galerie
    tags: ${DRONE_COMMIT_BRANCH}

